%Torque
%------
home ; clear all ; close all ;
format compact
pause(.01)

%*************************************************************************************
% Set Directories for Input and Output Files
%*************************************************************************************
addpath('D:\EE290N_Homework\Project\','-end');
Path='D:\EE290N_Homework\Project\';

%*************************************************************************************
% Initialize Parameters
%*************************************************************************************
Gf=1;
mf=1;
eta=1;
phi_o1=0*pi/180;


Tm=Gf*mf*eta/(.1*(4+2/9));

phi_cs1=linspace(0,2*pi,51)';
phi_cs2=linspace(2*pi,4*pi,51)';

phi_c11=phi_cs1+phi_o1;
phi_c12=phi_cs2+phi_o1;


T1=sin((phi_c11-2*pi)/2)+.5*sin((phi_c11-2*pi))+(1/6)*sin(3*(phi_c11-2*pi)/2);
T1=.1*T1;
%T1=.1*Tm*T1;

T2=sin((phi_c12-2*pi)/2)+.5*sin((phi_c12-2*pi))+(1/6)*sin(3*(phi_c12-2*pi)/2);
%T2=.2*Tm*T2;
T2=.2*T2;

plot((phi_cs1+2*pi)*180/pi,T1,(phi_cs2+2*pi)*180/pi,T2)
grid on

plot((phi_cs1)*180/pi,T1,(phi_cs2)*180/pi,T2)
